%define fw_version 5.41

Summary:	KDE Frameworks 5 resource and network access abstraction module
Name:		kio
Version:	5.41.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
Patch0:		kio-5.41.0-fileplaces.patch
Patch2:		kio-5.17.0-templates.patch
Patch3:		kio-5.38.0-remove-link-to-device-menu.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	acl-devel
BuildRequires:	attr-devel
BuildRequires:	kf5archive-devel >= %{version}
BuildRequires:	kf5bookmarks-devel >= %{version}
BuildRequires:	kf5codecs-devel >= %{version}
BuildRequires:	kf5completion-devel >= %{version}
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5configwidgets-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5dbusaddons-devel >= %{version}
BuildRequires:	kf5doctools-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	kf5iconthemes-devel >= %{version}
BuildRequires:	kf5itemviews-devel >= %{version}
BuildRequires:	kf5jobwidgets-devel >= %{version}
BuildRequires:	kf5notifications-devel >= %{version}
BuildRequires:	kf5service-devel >= %{version}
BuildRequires:	kf5solid-devel >= %{version}
BuildRequires:	kf5wallet-devel >= %{version}
BuildRequires:	kf5widgetsaddons-devel >= %{version}
BuildRequires:	kf5windowsystem-devel >= %{version}
BuildRequires:	kf5xmlgui-devel >= %{version}
BuildRequires:	pkgconfig(krb5-gssapi)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(zlib)
Requires:	mandriva-kde-translation
Suggests:	plasma5-kio-extras
Obsoletes:	plasma5-kio-remote < 5.10

%description
KDE Frameworks 5 resource and network access abstraction module.

This framework implements almost all the file management functions you
will ever need. In fact, the KDE file manager (Dolphin) and the KDE
file dialog also uses this to provide its network-enabled file management.

It supports accessing files locally as well as via HTTP and FTP out of the
box and can be extended by plugins to support other protocols as well. There
is a variety of plugins available, e.g. to support access via SSH.

The framework can also be used to bridge a native protocol to a file-based
interface. This makes the data accessible in all applications using the KDE
file dialog or any other KIO enabled infrastructure.

%files
%{_kde5_applicationsdir}/*.desktop
%{_kde5_bindir}/*
%{_kde5_datadir}/kf5/kcookiejar/domain_info
%{_kde5_libexecdir}/kf5/*
%{_kde5_mandir}/man8/*.8*
%{_kde5_notificationsdir}/*.notifyrc
%{_kde5_plugindir}/kded/*.so
%{_kde5_plugindir}/kio/*.so
%{_kde5_plugindir}/kiod/*.so
%{_kde5_plugindir}/urifilters/*.so
%{_kde5_services}/*.desktop
%{_kde5_services}/*.protocol
%{_kde5_services}/searchproviders/*.desktop
%{_kde5_services}/useragentstrings/*.desktop
%{_kde5_servicetypes}/*.desktop
%{_kde5_sysconfdir}/xdg/accept-languages.codes
%{_kde5_sysconfdir}/xdg/kshorturifilterrc
%{_qt5_plugindir}/kcm_*.so
%{_datadir}/dbus-1/services/org.kde.*.service

#----------------------------------------------------------------------------

%package i18n
Summary:	KIO translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KIO translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5kiocore_major 5
%define libkf5kiocore %mklibname kf5kiocore %{kf5kiocore_major}

%package -n %{libkf5kiocore}
Summary:	KDE Frameworks 5 resource and network access abstraction shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5kiocore}
KDE Frameworks 5 resource and network access abstraction shared library.

%files -n %{libkf5kiocore}
%{_kde5_libdir}/libKF5KIOCore.so.%{kf5kiocore_major}*

#----------------------------------------------------------------------------

%define kf5kiofilewidgets_major 5
%define libkf5kiofilewidgets %mklibname kf5kiofilewidgets %{kf5kiofilewidgets_major}

%package -n %{libkf5kiofilewidgets}
Summary:	KDE Frameworks 5 resource and network access abstraction shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5kiofilewidgets}
KDE Frameworks 5 resource and network access abstraction shared library.

%files -n %{libkf5kiofilewidgets}
%{_kde5_libdir}/libKF5KIOFileWidgets.so.%{kf5kiofilewidgets_major}*

#----------------------------------------------------------------------------

%define kf5kiogui_major 5
%define libkf5kiogui %mklibname kf5kiogui %{kf5kiogui_major}

%package -n %{libkf5kiogui}
Summary:	KDE Frameworks 5 resource and network access abstraction shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5kiogui}
KDE Frameworks 5 resource and network access abstraction shared library.

%files -n %{libkf5kiogui}
%{_kde5_libdir}/libKF5KIOGui.so.%{kf5kiogui_major}*

#----------------------------------------------------------------------------

%define kf5kiontlm_major 5
%define libkf5kiontlm %mklibname kf5kiontlm %{kf5kiontlm_major}

%package -n %{libkf5kiontlm}
Summary:	KDE Frameworks 5 resource and network access abstraction shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5kiontlm}
KDE Frameworks 5 resource and network access abstraction shared library.

%files -n %{libkf5kiontlm}
%{_kde5_libdir}/libKF5KIONTLM.so.%{kf5kiontlm_major}*

#----------------------------------------------------------------------------

%define kf5kiowidgets_major 5
%define libkf5kiowidgets %mklibname kf5kiowidgets %{kf5kiowidgets_major}

%package -n %{libkf5kiowidgets}
Summary:	KDE Frameworks 5 resource and network access abstraction shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5kiowidgets}
KDE Frameworks 5 resource and network access abstraction shared library.

%files -n %{libkf5kiowidgets}
%{_kde5_libdir}/libKF5KIOWidgets.so.%{kf5kiowidgets_major}*

#----------------------------------------------------------------------------

%define devkf5kio %mklibname kf5kio -d

%package -n %{devkf5kio}
Summary:	Development files for KDE Frameworks 5 KIO module
Group:		Development/KDE and Qt
Requires:	%{libkf5kiocore} = %{EVRD}
Requires:	%{libkf5kiofilewidgets} = %{EVRD}
Requires:	%{libkf5kiogui} = %{EVRD}
Requires:	%{libkf5kiontlm} = %{EVRD}
Requires:	%{libkf5kiowidgets} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5kio-devel = %{version}

%description -n %{devkf5kio}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5kio}
%{_kde5_includedir}/KF5/KIOCore
%{_kde5_includedir}/KF5/KIOFileWidgets
%{_kde5_includedir}/KF5/KIOGui
%{_kde5_includedir}/KF5/KIOWidgets
%{_kde5_includedir}/KF5/kio
%{_kde5_includedir}/KF5/kio_version.h
%{_kde5_libdir}/cmake/KF5KIO
%{_kde5_libdir}/libKF5KIOCore.so
%{_kde5_libdir}/libKF5KIOFileWidgets.so
%{_kde5_libdir}/libKF5KIOGui.so
%{_kde5_libdir}/libKF5KIONTLM.so
%{_kde5_libdir}/libKF5KIOWidgets.so
%{_kde5_mkspecsdir}/*.pri
%{_datadir}/dbus-1/interfaces/kf5_org.kde.*.xml

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch2 -p1
%patch3 -p1

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-kde --with-man --with-html

%changelog

* Tue Dec 12 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (f720de4) Re-diff filepalces patch
- (f720de4) Drop ru patch (fixed upstream)
- (Andrey Bondrov: 8847965) Drop upstream patches
- (Andrey Bondrov: 9c58ccc) New version 5.41.0

* Tue Nov 28 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-3
- (bbd0616) Backport patch to fix creating new folders with the desktop ioslave (Qt 5.9.3 regression)

* Sun Nov 26 2017 VictorR2007 <victorr2007@yandex.ru> 5.38.0-2
- (cfe2deb) Fixes folder creation

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (8882516) Re-diff remove-link-to-device-menu patch
- (Andrey Bondrov: c6410a5) Move doc5 patch to kdoctools package
- (Andrey Bondrov: f117287) New version 5.38.0

* Thu Aug 17 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-2
- (4422e69) Obsolete merged plasma5-kio-remote

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (0a43bb2) Re-diff remove-link-to-device-menu and ru patches
- (Andrey Bondrov: d369ef2) New version 5.35.0

* Thu May 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (25123e7) Update Russian translations
- (Andrey Bondrov: 3ea1664) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (f27708b) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (86bbbe6) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (6defec6) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (bf44160) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (a5e1909) New version 5.27.0

* Sun Jul 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (3f53d93) Properly name fileplaces patch
- (Andrey Bondrov: 9f89e5e) Re-diff fileplaces patch
- (Andrey Bondrov: 9f89e5e) Drop ru patch (fixed upstream)
- (Andrey Bondrov: 5767963) New version 5.24.0

* Tue Jun 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-2
- (e89f16a) Fix Russian translation for fileplaces (broken in KF 5.23.0 again)

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (78920d2) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (5306b8a) MassBuild#1021: Increase release tag

* Mon Apr 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (db6770f) Re-diff doc5 patch
- (Andrey Bondrov: 7392209) Drop ru patch (fixed upstream)
- (Andrey Bondrov: c1c7218) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-3
- (39da6a2) MassBuild#1000: Increase release tag

* Fri Apr 01 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (00abd28) Fix Russian translation for fileplaces (broken in KF 5.20.0)

* Tue Mar 15 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (2faa775) Drop ru patch (fixed upstream)


